import 'package:flutter/material.dart';

class CameraParams {
  final String cameraId;
  final Size previewSize;

  CameraParams({
    required this.cameraId,
    required this.previewSize,
  });

  copyWith({
    String? cameraId,
    Size? previewSize,
  }) {
    return CameraParams(
      cameraId: cameraId ?? this.cameraId,
      previewSize: previewSize ?? this.previewSize,
    );
  }
}
